## xwiimote 0.3%2B20120630

=== debian/changelog ===
xwiimote (0.3+20120630-5+fakesync) saucy; urgency=low

  * Drop udev-monitor-blocking.patch, this was a thinko: xwii_monitor_get_fd()
    already explicitly sets the fd to blocking or nonblocking, and
    xwii_monitor_poll_fd() doesn't need a blocking fd. Go back to a non-ubuntu
    version number as we are back in sync.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 May 2013 15:16:22 +0200

xwiimote (0.3+20120630-5ubuntu1) saucy; urgency=low

  * Merge from Debian Unstable:
    - Add udev-monitor-blocking.patch: Set udev monitor socket to blocking, as
      we want to wait for events.

 -- Vibhav Pant <vibhavp@ubuntu.com>  Sun, 12 May 2013 08:47:12 +0530

xwiimote (0.3+20120630-5) unstable; urgency=low

  * Fix typo to libudev-dev. (Closes: #706896)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 May 2013 09:25:25 +0900

xwiimote (0.3+20120630-4) unstable; urgency=low

  * Add libbudev-dev to Depends of libxwiimote-dev. (Closes: #705465)
  * libudev move to Requires.private in pkg-config. (Closes: #705462)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 May 2013 00:13:00 +0900

xwiimote (0.3+20120630-3) unstable; urgency=low

  * Added symbol file.
  * Add libxwiimote1 to Depends of libxwiimote-dev. (Closes: #705003)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 12 Apr 2013 16:05:16 +0900

xwiimote (0.3+20120630-2ubuntu1) raring; urgency=low

  * Add udev-monitor-blocking.patch: Set udev monitor socket to blocking, as
    we want to wait for events.
  * Rebuild against libudev1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Mar 2013 19:35:39 +0100

xwiimote (0.3+20120630-2) unstable; urgency=low

  * Fix wrong description (Closes: #684960)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 16 Aug 2012 06:28:12 +0900

xwiimote (0.3+20120630-1) unstable; urgency=low

  * Initial release. (Closes: #683149)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 28 Jul 2012 07:48:14 +0900

## xwiimote 0.3+20120630

=== driver/Makefile ===
#
# XWiimote - driver - makefile
# Written by David Herrmann, 2011
# Released under the terms of the GPLv2
# See COPYING for details
#

#
# Build the Wii Remote Kernel Driver
#
# Starting with linux-3.1 the upstream linux kernel includes the Wii Remote
# driver. You do not need to compile it on your own. Please read below if you
# want to compile an out-of-tree module, anyway:
#
# This builds the wiimote driver for the currently running kernel. This
# distribution contains a recent stable source code of the driver
# (hid-wiimote-*.c), but if you want a more recent one with unstable features,
# copy the files ./hid/drivers/hid-wiimote* from the xwiimote kernel repository
# into this directory.
# "make copy" does exactly this, assuming you have checked out a kernel source
# in the same directory as "xwiimote". You can adjust DRVPATH to point to your
# kernel source directory if you want to use "make copy". This path is
# relative to this "./driver/" directory.
#
# New wiimote driver releases split the source into multiple files so the
# correct list of files is:
#  hid-wiimote.h hid-wiimote-core.c hid-wiimote-ext.c hid-wiimote-debug.c
#
# Run "make" or "make build" to compile the source. This will produce a
# hid-wiimote.ko file which can be loaded with: "insmod ./hid-wiimote.ko"
#
# "make clean" will remove all temporary files.
#

ifeq ($(KERNELRELEASE),)

DRVPATH=../../kernel/xwiimote_kernel
KERNELDIR ?= /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)
.PHONY: build copy clean test

build:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

copy:
	@cp -v $(DRVPATH)/drivers/hid/hid-wiimote*.[ch] .

clean:
	@rm -rvf .tmp_versions/ .*.cmd *.o *.ko *.mod.? modules.order
	@rm -rvf Module.symvers *.orig *.rej

test:
	make copy build ; sudo rmmod hid-wiimote ; sudo insmod ./hid-wiimote.ko

else

hid-wiimote-y		:= hid-wiimote-core.o
ifdef CONFIG_HID_WIIMOTE_EXT
	hid-wiimote-y	+= hid-wiimote-ext.o
endif
ifdef CONFIG_DEBUG_FS
	hid-wiimote-y	+= hid-wiimote-debug.o
endif

obj-m := hid-wiimote.o

endif

=== debian/control ===
Source: xwiimote
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), automake, autoconf, libtool,
	libncurses5-dev, libudev-dev, pkg-config
Standards-Version: 3.9.3
Homepage: https://github.com/dvdhrm/xwiimote
Vcs-Git: git://anonscm.debian.org/collab-maint/xwiimote.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xwiimote.git

Package: xwiimote
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nintendo Wii Remote Linux Device Driver Tools
 This provides tools related to the open source Nintendo Wii
 Remote linux device driver.
 .
 This contains the tool for displaying Wii remote connected and the setting
 tool which uses operation of Wii remote as keyboard. 

Package: libxwiimote1
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: xwiimote library - runtime
 This package contains the runtime library files needed to run software
 using xwiimote.

Package: libxwiimote-dev
Section: libdevel
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxwiimote1 (= ${binary:Version}), libudev-dev 
Description: xwiimote library - development
 This package contains the header and development files needed to build
 programs and packages using xwiimote.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

confflags := --disable-silent-rules \
	--prefix=/usr \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	$(NULL)
confflags += $(shell dpkg-buildflags --export=configure)

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- $(confflags)

override_dh_auto_clean:
	rm -rf Makefile.in \
		build-aux	\
		aclocal.m4 \
		config.h.in	\
		config.log	\
		configure	\
		m4/libtool.m4	\
		m4/ltoptions.m4	\
		m4/ltsugar.m4	\
		m4/ltversion.m4	\
		m4/lt~obsolete.m4	\
		lib/.libs	\
		xwiikeymap	\
		xwiidump	\
		xwiishow	\
		.libs	\
		tools/.dirstamp	\
		tools/*.o	\
		lib/*.o \
		lib/*.lo	\
		Makefile	\
		config.h	\
		onfig.log	\
		config.status	\
		libtool	\
		libxwiimote.la	\
		libxwiimote.pc	\
		stamp-h1

	dh_auto_clean

## xwiimote 2

=== debian/changelog ===
xwiimote (2-4.3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Update Homepage and add watch file.
  * Add Build-Depends-Package.

  [ Debian Janitor ]
  * Update upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Feb 2025 04:16:41 +0100

xwiimote (2-4.2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Fixup Breaks+Replaces unrelated to the 64-bit time_t transition.
  * Fix building twice in a row.  (Closes: #1045999)
  * Work around struct input_event.time kernel api change.  (Closes: #1065993)
  * Update obsolete B-D.
  * The toolchain defaults to linking with --as-needed since bullseye.
  * Declare Rules-Requires-Root: no.
  * Drop superfluous bits from d/copyright.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libxwiimote-dev: Add Multi-Arch: same.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Apr 2024 09:09:48 +0200

xwiimote (2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063299

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 08:07:03 +0000

xwiimote (2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Nobuhiro Iwamatsu ]
  * d/rules: Fix FTCBFS: Configure once via dh_auto_configure only.
    (Closes: 947210)
  * d/rules: Fix dh_install.
  * d/control: Bump Standards-Version to 4.5.0.
  * d/control: Use debhelper-compat instead of debhelper.
  * d/copyright: Fix lintian warning.
    xwiimote source: global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * d/upstream/metadata: Add file.
  * d/control: Drop dpkg-dev, automake, autoconf and libtool from B-D.
  * d/libxwiimote2.lintian-overrides: Remove override file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Nov 2020 15:39:54 +0900

xwiimote (2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 19 Jul 2014 15:57:24 +0900

xwiimote (2-2) experimental; urgency=medium

  * Move libxwiimote.7 to libxwiimote-dev.
  * Move 50-xorg-fix-xwiimote.conf to xwiimote.
  * Update debian/control.
    - Add Breaks: libxwiimote2 (<< 2-2) and Replaces: libxwiimote2 (<< 2-2)
      to libxwiimote-dev.
    - Add Breaks: libxwiimote2 (<< 2-2) and Replaces: libxwiimote2 (<< 2-2)
      to xwiimote.
    - Add libxwiimote1 to Breaks.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Jul 2014 02:20:40 +0900

xwiimote (2-1) experimental; urgency=medium

  * New upstream released. (Closes: #743784)
  * Update debian/control.
    - Bump Standards-Version to 3.9.5.
  * Update soname from 1 to 2.
  * Update symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 19 Apr 2014 17:18:17 +0900

xwiimote (0.3+20120630-6) unstable; urgency=medium

  * Move libxwiimote.7 to libxwiimote-dev.
  * Update debian/control.
    - Add Breaks: libxwiimote1 (<< 0.3+20120630-6) and Replaces: libxwiimote1
      (<< 0.3+20120630-6) to libxwiimote-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 19 Apr 2014 17:46:18 +0900

=== debian/control ===
Source: xwiimote
Section: devel
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libudev-dev,
 pkgconf,
# prevent accidental backports after the 64-bit time_t transition
 dpkg-dev (>= 1.22.5),
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/xwiimote/xwiimote
Vcs-Git: https://salsa.debian.org/debian/xwiimote.git
Vcs-Browser: https://salsa.debian.org/debian/xwiimote

Package: xwiimote
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libxwiimote2 (<< 2-2), libxwiimote1
Replaces: libxwiimote2 (<< 2-2), libxwiimote1
Description: Nintendo Wii Remote Linux Device Driver Tools
 This provides tools related to the open source Nintendo Wii
 Remote Linux device driver.
 .
 This contains the tool for displaying Wii remote connected and the setting
 tool which uses operation of Wii remote as keyboard.

Package: libxwiimote2t64
Provides: ${t64:Provides}
Replaces: libxwiimote2
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libxwiimote2 (<< ${source:Version}), libxwiimote1 (<< 0.3+20120630-6)
Description: xwiimote library - runtime
 This package contains the runtime library files needed to run software
 using xwiimote.

Package: libxwiimote-dev
Section: libdevel
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxwiimote2t64 (= ${binary:Version}), libudev-dev
Breaks: libxwiimote2 (<< 2-2)
Replaces: libxwiimote2 (<< 2-2)
Multi-Arch: same
Description: xwiimote library - development
 This package contains the header and development files needed to build
 programs and packages using xwiimote.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -18,8 +18,13 @@
 	dh $@
 
 override_dh_auto_configure:
-	./autogen.sh
+	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure -- $(confflags)
+
+override_dh_install:
+	rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libxwiimote.la
+	rm -rf debian/tmp/usr/share/doc/*
+	dh_install
 
 override_dh_auto_clean:
 	rm -rf Makefile.in \

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
  https://github.com/xwiimote/xwiimote/tags \
  (?:.*?/)?@PACKAGE@-v?@ANY_VERSION@@ARCHIVE_EXT@
